Distribution:   CCux Linux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		oyranos
Summary:	color management system
Version:	0.1.9
Release:	1
Provides:	%{name}
License:	MIT
URL:		http://www.oyranos.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

# prevent the propietary openGL incarnations
# from being drawn in
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx

#Automatically resolved build dependencies
BuildRequires: elektra-devel
BuildRequires: fltk-devel
BuildRequires: fltk-gl-devel
BuildRequires: glibc-devel
BuildRequires: lcms-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXxf86vm-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
Oyranos allows applications and users to obtain the same colour match from supporting applications and workflows.
 The Colour Management System (CMS) Oyranos is intented to coordinate device specific informations (ICC colour profiles) and configure theire system wide settings. Target is a predictable path for applications and users to match colours across devices and across platforms. Oyranos is a OS level CMS.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-dependency-tracking
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/oyranos-config*
%_bindir/oyranos-monitor*
%_bindir/oyranos-policy
%_libdir/color/
%_libdir/liboyranos*.so.*
%_mandir/man*/oyranos*
%_datadir/color
%_datadir/locale/*/LC_MESSAGES/oyranos.mo

%files devel
%defattr(-,root,root)
%_includedir/oyranos/
%_libdir/liboyranos*.a
%_libdir/liboyranos*.so
%_pkgconfig/oyranos.pc
%{_docdir}/oyranos/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 12 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.1.9-1
- Version update
* Sat Jun 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.7-1
- intial package release
